{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>
            {% block title %}
            {% endblock title %}
        </title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li><a href="{% url 'home' %}">Home</a></li>
                        <li><a href="{% url 'create_receipt' %}">Create a Receipt</a></li>
                        <li><a href="{% url 'category_list' %}">Categories</a></li>
                        <li><a href="{% url 'create_category' %}">Create a Category</a></li>
                        <li><a href="{% url 'account_list' %}">Accounts</a></li>
                        <li><a href="{% url 'create_account' %}">Create an Account</a></li>
                        <li><a href="{% url 'logout' %}">Logout</a></li>
                    {% else %}
                        <li><a href="{% url 'login' %}">Login</a></li>
                        <li><a href="{% url 'signup' %}">Sign Up</a></li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        {% block content %}
        {% endblock content %}
    </body>
</html>
